SybaseServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.sybase.SybaseServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.sybase
Interface SybaseServer

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SybaseServer

extends DatabaseServer

Represents an instance of the Sybase Server.

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`BindAddress[]` | `getBindAddresses()`
`SybaseConfigValue[]` | `getConfigValues()`
`SybaseDatabase[]` | `getDatabases()`
`SybaseDevice[]` | `getDevices()`
`SybaseEngineProcess[]` | `getEngineProcesses()`
`java.lang.String` | `getFullVersion()`
`SybaseServerProcess[]` | `getServerProcesses()`
`boolean` | `hasBindAddresses()`
`boolean` | `hasConfigValues()`
`boolean` | `hasDatabases()`
`boolean` | `hasDevices()`
`boolean` | `hasEngineProcesses()`
`boolean` | `hasFullVersion()`
`boolean` | `hasServerProcesses()`
`void` | `setBindAddresses(BindAddress[] addresses)`
`void` | `setConfigValues(SybaseConfigValue[] values)`
`void` | `setDatabases(SybaseDatabase[] db)`
`void` | `setDevices(SybaseDevice[] devices)`
`void` | `setEngineProcesses(SybaseEngineProcess[] processes)`
`void` | `setFullVersion(java.lang.String version)`
`void` | `setServerProcesses(SybaseServerProcess[] processes)`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getConfigValues

    SybaseConfigValue[] getConfigValues()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setConfigValues

    void setConfigValues(SybaseConfigValue[] values)

### hasConfigValues

    boolean hasConfigValues()

### getServerProcesses

    SybaseServerProcess[] getServerProcesses()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setServerProcesses

    void setServerProcesses(SybaseServerProcess[] processes)

### hasServerProcesses

    boolean hasServerProcesses()

### getEngineProcesses

    SybaseEngineProcess[] getEngineProcesses()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setEngineProcesses

    void setEngineProcesses(SybaseEngineProcess[] processes)

### hasEngineProcesses

    boolean hasEngineProcesses()

### getFullVersion

    java.lang.String getFullVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFullVersion

    void setFullVersion(java.lang.String version)

### hasFullVersion

    boolean hasFullVersion()

### getDatabases

    SybaseDatabase[] getDatabases()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDatabases

    void setDatabases(SybaseDatabase[] db)

### hasDatabases

    boolean hasDatabases()

### getDevices

    SybaseDevice[] getDevices()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDevices

    void setDevices(SybaseDevice[] devices)

### hasDevices

    boolean hasDevices()

### getBindAddresses

    BindAddress[] getBindAddresses()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddresses

    void setBindAddresses(BindAddress[] addresses)

### hasBindAddresses

    boolean hasBindAddresses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD